package com.ichaoj.ams.response.execute;

import com.ichaoj.ams.response.task.TaskResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/05/12 15:51
 */
@Data
@Schema(title = "执行信息")
public class ExecuteResponse {

    private String executeId;
    /**
     * 交互名称
     */
    private Integer executeName;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 地址组名称
     */
    private String groupName;

    /**
     * 源资产
     */
    private String fromAsset;

    /**
     * 目的资产
     */
    private String toAsset;

    /**
     * 时间间隔最小分钟数
     */
    private Integer intervalMin;

    /**
     * 时间间隔最大分钟数
     */
    private Integer intervalMax;

    /**
     * 交互金额
     */
    private String amount;

    /**
     * 最大gas
     */
    private String maxGas;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
